<!---
Copyright © 2020 Interplanetary Database Association e.V.,
BigchainDB and IPDB software contributors.
SPDX-License-Identifier: (Apache-2.0 AND CC-BY-4.0)
Code is Apache-2.0 and docs are CC-BY-4.0
--->


# Introduction

This is the documentation for BigchainDB Server, or in other words, node - 
the BigchainDB software that is on servers (but not on clients).

## Setup Instructions for Various Cases

- Quickstart link below
- [Set up a local BigchainDB node for development, experimenting and testing](node-setup/index)
- [Set up and run a BigchainDB network](network-setup/index)

## Develop an App Test 

To develop an app that talks to a BigchainDB network, you'll want a test network to test it against. You have a few options:

1. The IPDB Test Network (or "Testnet") is a free-to-use, publicly-available test network that you can test against. It is available at [IPDB testnet](https://test.ipdb.io/).
1. You could also run a BigchainDB node on you local machine. One way is to use this node setup guide with a one-node "network" by using the all-in-one docker solution, or manual installation and configuration of the components. Another way is to use one of the deployment methods listed in the [network setup guide](network-setup/index) or in the [the docs about contributing to BigchainDB](../contributing/index).


## (WIP) Quickstart

<style media="screen" type="text/css">
    .button {
        border-top: 1px solid #96d1f8;
        background: #65a9d7;
        background: -webkit-gradient(linear, left top, left bottom, from(#3e779d), to(#65a9d7));
        background: -webkit-linear-gradient(top, #3e779d, #65a9d7);
        background: -moz-linear-gradient(top, #3e779d, #65a9d7);
        background: -ms-linear-gradient(top, #3e779d, #65a9d7);
        background: -o-linear-gradient(top, #3e779d, #65a9d7);
        padding: 8.5px 17px;
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        border-radius: 3px;
        -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
        -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
        box-shadow: rgba(0,0,0,1) 0 1px 0;
        text-shadow: rgba(0,0,0,.4) 0 1px 0;
        color: white;
        font-size: 16px;
        font-family: Arial, Sans-Serif;
        text-decoration: none;
        vertical-align: middle;
    }
    .button:hover {
        border-top-color: #28597a;
        background: #28597a;
        color: #ccc;
    }
    .button:active {
        border-top-color: #1b435e;
        background: #1b435e;
    }
    a.button:visited {
        color: white
    }
    .buttondiv {
        margin-bottom: 1.5em;
    }
</style>

## Try BigchainDB

Create a transaction and post it to the test network:

<div class="buttondiv">
    <a class="button" href="https://www.bigchaindb.com/developers/getstarted/">Try BigchainDB Now</a>
</div>

<hr>

<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
